Find a repair centre

Support & Downloads: Epson Stylus SX235W

Epson and macOS 10.12 (Sierra) / macOS 10.13 (High Sierra) / macOS 10.14 (Mojave)

Epson is committed to supporting macOS Sierra / macOS High Sierra / macOS Mojave and is continually developing applications and device drivers across our range of products.

To check compatibility, please select your product from the dropdown menus below.


My product is supported by macOS, but I can’t find the drivers on the support website. What can I do?

If you find that your product is supported by macOS using the drop-down menus above, but the drivers are not found, you will need to make another operating system selection.

To find the drivers please select macOS 10.12 (Sierra) as your operating system because macOS 10.12 (Sierra), 10.13 (High Sierra) and 10.14 (Mojave) all use the same driver version and you will find all the drivers will then be listed.

Did you find this article helpful

Thanks for leaving feedback